﻿Imports MySql.Data.MySqlClient
Public Class Form1
    Dim conn As MySqlConnection = Nothing
    Dim opened As Boolean = False

    Private Sub bt_connect_Click(sender As Object, e As EventArgs) Handles bt_connect.Click
        If opened Then
            MsgBox("Already connected!")
            Return
        End If
        Dim params As String = ""
        params += "server=" + tx_host.Text
        If cb_charset.Checked Then params += ";CharSet=" + tx_charset.Text
        params += "; user id=" + tx_user.Text
        params += "; password=" + tx_pass.Text
        If cb_sslcert.Checked Then params += ";CertificateFile=" + tx_cert.Text
        If cb_sslpass.Checked Then params += ";CertificatePassword=" + tx_sslpass.Text
        If cb_sslmode.Checked Then params += ";SSL Mode=" + tx_mode.Text
        Try
            conn = New MySqlConnection(params)
            conn.Open()
            opened = True
            ll_connect.Text = "CONNECTED"
        Catch ex As Exception
            MsgBox("Error connecting:" + ex.ToString)
        End Try
    End Sub

    Private Sub bt_disconnect_Click(sender As Object, e As EventArgs) Handles bt_disconnect.Click
        If (Not opened) Or conn Is Nothing Then
            MsgBox("Not connected!")
            opened = False
            conn = Nothing
            Return
        End If
        Try
            conn.Close()
            opened = False
            conn = Nothing
            ll_connect.Text = "NOT connected"
        Catch ex As Exception
            MsgBox("Error disconnecting:" + ex.ToString)
        End Try
    End Sub
End Class
